Db2AdminServer (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.db.db2.Db2AdminServer interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.db.db2
Interface Db2AdminServer

All Superinterfaces:
  AppServer, ConfigurationItem, DatabaseServer, Db2Server, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface Db2AdminServer

extends Db2Server

Represents an instance of the Db2 Administration Server

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.app.db.db2.Db2Server
`IBM_COPYRIGHT`

Fields inherited from interface com.collation.platform.model.topology.app.AppServer
`RUNNING, STOPPED`

Method Summary
`Db2System` | `getParent()`
`boolean` | `hasParent()`
`void` | `setParent(Db2System parent)`

Methods inherited from interface com.collation.platform.model.topology.app.db.db2.Db2Server
`getBuildLevel, getComment, getLevel, getLevelId, getNodeName, getPort, getProductId, getProtocol, getProtocolParams, getPTF, getType, hasBuildLevel, hasComment, hasLevel, hasLevelId, hasNodeName, hasPort, hasProductId, hasProtocol, hasProtocolParams, hasPTF, hasType, setBuildLevel, setComment, setLevel, setLevelId, setNodeName, setPort, setProductId, setProtocol, setProtocolParams, setPTF, setType`

Methods inherited from interface com.collation.platform.model.topology.app.db.DatabaseServer
`getHome, hasHome, setHome`

Methods inherited from interface com.collation.platform.model.topology.app.AppServer
`getAppDescriptors, getConfigContents, getConfigFile, getContainers, getExecutable, getExecutableName, getHost, getKeyName, getModules, getName, getPrimarySAP, getProcessPools, getProductName, getProductVersion, getResources, getSoftwareInstallation, getStatus, getVendorName, getZReportFiles, hasAppDescriptors, hasConfigContents, hasConfigFile, hasContainers, hasExecutable, hasExecutableName, hasHost, hasKeyName, hasModules, hasName, hasPrimarySAP, hasProcessPools, hasProductName, hasProductVersion, hasResources, hasSoftwareInstallation, hasStatus, hasVendorName, hasZReportFiles, setAppDescriptors, setConfigContents, setConfigFile, setContainers, setExecutable, setExecutableName, setHost, setKeyName, setModules, setName, setPrimarySAP, setProcessPools, setProductName, setProductVersion, setResources, setSoftwareInstallation, setStatus, setVendorName, setZReportFiles`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Method Detail

### getParent

    Db2System getParent()
                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### setParent

    void setParent(Db2System parent)

### hasParent

    boolean hasParent()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD